#include <gl/glut.h>

void myInit()
{
	glClearColor(1.0, 0.0, 0.0, 0.0); // set red background color
	glColor3f(0.0, 1.0, 0.0); // set the drawing color
	glPointSize(10.0);   // a 'dot' is 10 by 10 pixels
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	gluOrtho2D(0, 640, 0, 480);
}

void myDisplay()
{
	glClear(GL_COLOR_BUFFER_BIT); // clear the screen
	glBegin(GL_POINTS);
		glVertex2i(100, 50); // draw three dots
		glVertex2i(100, 130);
		glVertex2i(150, 130);
	glEnd();

	glFlush();	// send all output to display
}

int main(int argc, char** argv)
{
	glutInit(&argc, argv);	// initialize the toolkit
	glutInitDisplayMode(GLUT_SINGLE | GLUT_RGB); // set the display mode

	glutInitWindowSize(640, 480); // set window size
	glutInitWindowPosition(100, 150); // set window position
	glutCreateWindow("my first attemp"); // open the screen window
	glutDisplayFunc(myDisplay); // register redraw function
	myInit();		// additional initializations as necessary
	glutMainLoop();	// go into a perpetual loop
}